summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Alan Aversa <alan.aveNOrsaSP@AMcox.net (remove NO and SPAM)>2017-08-24 13:47:57 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-26 07:19:46 +0700
commitbee63db79f2483c6dfe38e995ed461c81e9282d3 (patch)
tree72f71e1399a5d59ebce48642d1cafe264dc26c20
parent1e7e27a52b846c54d686c927877a631403d87c92 (diff)
downloadslackbuilds-bee63db79f2483c6dfe38e995ed461c81e9282d3.tar.gz
slackbuilds-bee63db79f2483c6dfe38e995ed461c81e9282d3.tar.xz
ham/SoapySDRPlay: Added (Soapy SDR module for SDRPlay).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--ham/SoapySDRPlay/README2
-rw-r--r--ham/SoapySDRPlay/SoapySDRPlay.SlackBuild97
-rw-r--r--ham/SoapySDRPlay/SoapySDRPlay.info10
-rw-r--r--ham/SoapySDRPlay/slack-desc19
4 files changed, 128 insertions, 0 deletions
diff --git a/ham/SoapySDRPlay/README b/ham/SoapySDRPlay/README
new file mode 100644
index 0000000000..fe14a61162
--- /dev/null
+++ b/ham/SoapySDRPlay/README
@@ -0,0 +1,2 @@
+The Soapy SDR Play project provides a plugin module to use the SDR Play
+device within the SoapySDR API and software that supports SoapySDR.
diff --git a/ham/SoapySDRPlay/SoapySDRPlay.SlackBuild b/ham/SoapySDRPlay/SoapySDRPlay.SlackBuild
new file mode 100644
index 0000000000..584691ef83
--- /dev/null
+++ b/ham/SoapySDRPlay/SoapySDRPlay.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for SoapySDRPlay
+
+# Copyright 2017 Alan Aversa USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SoapySDRPlay
+VERSION=${VERSION:-0.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=SoapySDRPlay-soapy-sdrplay
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE.txt Changelog.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/SoapySDRPlay/SoapySDRPlay.info b/ham/SoapySDRPlay/SoapySDRPlay.info
new file mode 100644
index 0000000000..b0cb33dd5f
--- /dev/null
+++ b/ham/SoapySDRPlay/SoapySDRPlay.info
@@ -0,0 +1,10 @@
+PRGNAM="SoapySDRPlay"
+VERSION="0.1.0"
+HOMEPAGE="https://github.com/pothosware/SoapySDRPlay"
+DOWNLOAD="https://github.com/pothosware/SoapySDRPlay/archive/soapy-sdrplay-0.1.0/SoapySDRPlay-soapy-sdrplay-0.1.0.tar.gz"
+MD5SUM="e488245671b9b2af603aa30c2007675f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SoapySDR SDRPlay"
+MAINTAINER="Alan Aversa"
+EMAIL="alan.aveNOrsaSP@AMcox.net (remove NO and SPAM)"
diff --git a/ham/SoapySDRPlay/slack-desc b/ham/SoapySDRPlay/slack-desc
new file mode 100644
index 0000000000..5055243b9d
--- /dev/null
+++ b/ham/SoapySDRPlay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SoapySDRPlay: SoapySDRPlay (Soapy SDR module for SDRPlay)
+SoapySDRPlay:
+SoapySDRPlay: Soapy SDR module for SDRPlay
+SoapySDRPlay:
+SoapySDRPlay:
+SoapySDRPlay:
+SoapySDRPlay:
+SoapySDRPlay:
+SoapySDRPlay:
+SoapySDRPlay:
+SoapySDRPlay: